Subject: bug#30311: efi-less grub install fails

From: Marius Bakke <[email-masked]>
Date: Thu, 22 Feb 2018 16:06:31 +0100

Danny Milosavljevic <[email-masked]> writes:

> Also, grub-hybrid is supposed to use efi so the workaround shouldn't be used with it...

Right, I had forgotten about grub-hybrid.  That complicates things.

> What do you think about my direct grub patch?

That works too :-) It just felt a little "heavy-handed".  I'll let
Ricardo judge which approach to take.

I do wonder if we can do better though, and maybe even fix it properly.
Ricardo: Can you post the output of `find /sys/firmware/efi -maxdepth 1`
on the affected machine?  With luck, we'll find a variable that is only
present on "real" EFI.

Can you also post the contents of '/sys/firmware/efi/runtime'?